Package org.opensaml.security.trust

# Interface TrustEngine<TokenType>

Type Parameters:
  `TokenType` - the token type this trust engine evaluates

All Known Subinterfaces:
  `PKIXTrustEngine<TokenType>`, `SignatureTrustEngine`, `TrustedCredentialTrustEngine<TokenType>`

All Known Implementing Classes:
  `BaseSignatureTrustEngine`, `ChainingSignatureTrustEngine`, `ChainingTrustEngine`, `ExplicitKeySignatureTrustEngine`, `ExplicitKeyTrustEngine`, `ExplicitX509CertificateTrustEngine`, `MockTrustEngine`, `PKIXSignatureTrustEngine`, `PKIXX509CredentialTrustEngine`

public interface TrustEngine<TokenType>
Evaluates the trustworthiness and validity of a token against implementation-specific requirements.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`validate(TokenType token, CriteriaSet trustBasisCriteria)`
Validates the token against trusted information obtained in an implementation-specific manner.

## Method Details

### validate

boolean validate(@Nonnull TokenType token, @Nullable CriteriaSet trustBasisCriteria) throws SecurityException
Validates the token against trusted information obtained in an implementation-specific manner.

Parameters:
  `token` - security token to validate
  `trustBasisCriteria` - criteria used to describe and/or resolve the information which serves as the basis for trust evaluation
Returns:
  true iff the token is trusted and valid
Throws:
  `SecurityException` - thrown if there is a problem validating the security token